using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FWHandler
{
    public static class Label
    {
        public static LabelHandler Click(string value, int repeatingTime = 0)
        {
            return HandlerProvider.LabelHandler.Click(value, repeatingTime);
        }
        public static LabelHandler DoubleClick(string value, int repeatingTime = 0)
        {
            return HandlerProvider.LabelHandler.DoubleClick(value, repeatingTime);
        }
        public static string ElementName(string value, int repeatingTime = 0)
        {
            return HandlerProvider.LabelHandler.ElementName(value, repeatingTime);
        }
        public static bool IsVisible(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.LabelHandler.IsVisible(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
        public static bool Exist(string value, int repeatingTime = 0)
        {
            if (HandlerProvider.LabelHandler.Exist(value, repeatingTime) == true)
            {
                return true;
            }
            else return false;
        }
    }
}
